Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
Class IncludeResponseWrapper

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              org.codehaus.groovy.grails.web.util.IncludeResponseWrapper

All Implemented Interfaces:
  HttpServletResponse, ServletResponse

    public class IncludeResponseWrapper

extends HttpServletResponseWrapper

Response wrapper used to capture the content of a response (such as within in an include).

Since:
  1.2.1
Author:
  Graeme Rocher

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`IncludeResponseWrapper(HttpServletResponse httpServletResponse)`

Method Summary
`Object` | `getContent()`
`Object` | `getContent(String encoding)`
`String` | `getContentType()`
`ServletOutputStream` | `getOutputStream()`
`String` | `getRedirectURL()`
`int` | `getStatus()`
`PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `sendError(int i)`
`void` | `sendError(int i, String s)`
`void` | `sendRedirect(String s)`
`void` | `setContentType(String s)`
`void` | `setLocale(Locale locale)`
`void` | `setStatus(int i)`

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, setDateHeader, setHeader, setIntHeader, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`flushBuffer, getBufferSize, getCharacterEncoding, getLocale, getResponse, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`flushBuffer, getBufferSize, getCharacterEncoding, getLocale, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength`

Constructor Detail

### IncludeResponseWrapper

    public IncludeResponseWrapper(HttpServletResponse httpServletResponse)

Method Detail

### getRedirectURL

    public String getRedirectURL()

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `ServletResponse`
  Overrides:
    `getContentType` in class `ServletResponseWrapper`

### setStatus

    public void setStatus(int i)

  Specified by:
    `setStatus` in interface `HttpServletResponse`
  Overrides:
    `setStatus` in class `HttpServletResponseWrapper`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `ServletResponse`
  Overrides:
    `isCommitted` in class `ServletResponseWrapper`

### sendRedirect

    public void sendRedirect(String s)
                      throws IOException

  Specified by:
    `sendRedirect` in interface `HttpServletResponse`
  Overrides:
    `sendRedirect` in class `HttpServletResponseWrapper`
  Throws:
    `IOException`

### getStatus

    public int getStatus()

### setContentType

    public void setContentType(String s)

  Specified by:
    `setContentType` in interface `ServletResponse`
  Overrides:
    `setContentType` in class `ServletResponseWrapper`

### setLocale

    public void setLocale(Locale locale)

  Specified by:
    `setLocale` in interface `ServletResponse`
  Overrides:
    `setLocale` in class `ServletResponseWrapper`

### sendError

    public void sendError(int i,
                          String s)
                   throws IOException

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Overrides:
    `sendError` in class `HttpServletResponseWrapper`
  Throws:
    `IOException`

### sendError

    public void sendError(int i)
                   throws IOException

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Overrides:
    `sendError` in class `HttpServletResponseWrapper`
  Throws:
    `IOException`

### getOutputStream

    public ServletOutputStream getOutputStream()
                                        throws IOException

  Specified by:
    `getOutputStream` in interface `ServletResponse`
  Overrides:
    `getOutputStream` in class `ServletResponseWrapper`
  Throws:
    `IOException`

### getWriter

    public PrintWriter getWriter()
                          throws IOException

  Specified by:
    `getWriter` in interface `ServletResponse`
  Overrides:
    `getWriter` in class `ServletResponseWrapper`
  Throws:
    `IOException`

### getContent

    public Object getContent()
                      throws CharacterCodingException

  Throws:
    `CharacterCodingException`

### getContent

    public Object getContent(String encoding)
                      throws CharacterCodingException

  Throws:
    `CharacterCodingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD